<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/

define('_IN_JOHNCMS', 1);
$headmod = 'anketa';
require_once('../incfiles/core.php');

/*
-----------------------------------------------------------------
Ограничиваем доступ к Чату
-----------------------------------------------------------------
*/ 
if (!$user_id) {
  require('../incfiles/head.php');
  echo display_error('Только для зарегистрированных посетителей');
  require('../incfiles/end.php');
 exit;
}

if (!$id) {
  header("Location: $home/str/anketa.php");
 exit;
}
$bot = mysql_query("SELECT `name`, `tip`, `mass_bot`, `mass_author` FROM `chat_bot` WHERE `id` = '" . $id . "' LIMIT 1");
$bot_d = mysql_fetch_assoc($bot);
$mass_bot = unserialize($bot_d['mass_bot']);
$mass_author = unserialize($bot_d['mass_author']);
if (!mysql_num_rows($bot) || empty($mass_bot)) {
  header("Location: $home/str/anketa.php");
 exit;
}
$textl = 'Анкета: ' . htmlspecialchars($bot_d['name']);
require_once('../incfiles/head.php');
if ($act == 'bot_info') {
  echo '<div class="phdr"><a href="anketa.php?id=' . $id . '"><b>Анкета</b></a> | Информация</div>';
  echo '<div class="gmenu"><b>Данная функция недоступна для ботов!</b></div>';
  echo '<div class="phdr"><a href="anketa.php?id=' . $id . '">Назад</a></div>';
  require('../incfiles/end.php');
 exit;
}

////////////////////////////////////////////////////////////
// Выводим анкету пользователя                            //
////////////////////////////////////////////////////////////
echo '<div class="phdr"><b>Анкета пользователя</b></div>';
echo '<div class="gmenu"><p><h3><img src="../theme/' . $set_user['skin'] . '/images/' . ($mass_bot['sex'] == 'm' ? 'm' : 'w') . '.png" width="16" height="16" class="left" />&#160;';
echo '<b>' . $bot_d['name'] . '</b> (id: ' . $id . ')';
echo '<span class="green"> [ON]</span>';
echo '</h3><ul>';
// Показываем аватар (если есть)
if (file_exists(('img/' . $mass_bot['av']) . '.png')) {
  echo '<li>Аватар:<br /><img src="img/' . $mass_bot['av'] . '.png" width="32" height="32" alt="' . $bot_d['name'] . '" /></li>';
}
if (!empty($mass_bot['status']))
  echo '<li><span class="gray">Статус: </span>' . $mass_bot['status'] . '</li>';
echo '<li><span class="gray">Логин:</span> <b>' . trans($bot_d['name']) . '</b></li>';
echo '</ul></p></div>';
// Блок Кармы
if ($set_karma['on']) {
  echo '<div class="list2">';
  echo '<table  width="100%"><tr><td width="22" valign="top"><img src="../images/k_0.gif"/></td><td>';
  echo '<b>Карма (0)</b><div class="sub">
<span class="green"><a href="anketa.php?act=bot_info&amp;id=' . $id . '">За (0)</a></span> | <span class="red"><a href="anketa.php?act=bot_info&amp;id=' . $id . '">Против (0)</a></span>';
  echo '</div></td></tr></table></div>';
}
echo '<div class="menu">';
// Личные данные
if (!empty($mass_author['description'])) {
  echo '<p><h3><img src="../images/contacts.png" width="16" height="16" class="left" />&#160;Личные данные</h3><ul>';
  echo '<li><span class="gray">О себе:<br /></span> ' . smileys(tags($mass_author['description'])) . '</li>';
  echo '</ul></p>';
}
// Связь
if (($mass_author['author_email'] || $mass_author['author_url']) && $rights >= 7) {
  echo '<p><h3><img src="../images/mail.png" width="16" height="16" class="left" />&nbsp;Связь с автором</h3><ul>';
  if ($mass_author['author_email'])
    echo '<li><span class="gray">E-mail:</span> ' . $mass_author['author_email'] . '<span class="gray"> [скрыт]</span></li>';
  if ($mass_author['author_url'])
    echo '<li><span class="gray">Сайт:</span> ' . tags($mass_author['author_url']) . '</li>';
  echo '</ul></p>';
}
// Статистика
echo '<p><h3><img src="../images/rate.gif" width="16" height="16" class="left" />&#160;Статистика</h3><ul>';
if ($rights >= 7) {
  echo '<li>Свободная регистрация</li>';
}
echo '<li><span class="gray">' . ($mass_bot['sex'] == 'm' ? 'Зарегистрирован' : 'Зарегистрирована') . ':</span> 12.02.2011</li>';
echo '<li><span class="gray">' . ($mass_bot['sex'] == 'm' ? 'Пробыл' : 'Пробыла') . ' на сайте:</span> 1:15:53</li>';
echo '<li><a href="anketa.php?act=bot_info&amp;id=' . $id . '">Статистика активности</a></li>';
echo '<li><a href="anketa.php?act=bot_info&amp;id=' . $id . '">Последние записи</a></li>';
echo '</ul></p></div>';
echo '<div class="phdr">' . ($rights == 9 ? '<a href="menu.php?act=mod_bots&amp;mod=edit&amp;id=' . $id . '">Редактировать</a>' : '&#160;');
echo '</div>';
echo '<p>';
echo '<a href="anketa.php?act=bot_info&amp;id=' . $id . '">Добавить в контакты</a><br />';
echo '<a href="anketa.php?act=bot_info&amp;id=' . $id . '">Добавить в игнор</a><br />';
echo '<a href="anketa.php?act=bot_info&amp;id=' . $id . '">Написать в приват</a></p>';
require_once('../incfiles/end.php');

?>